Contents | Package | Class | Tree | Deprecated | Index | Help | XML for Java
PREV | NEXT | SHOW LISTS | HIDE LISTS |

# Class com.ibm.xml.parser.PseudoNode

    java.lang.Object
        |
        +----com.ibm.xml.parser.Child
                |
                +----com.ibm.xml.parser.PseudoNode

public class PseudoNode
extends Child

PseudoNode provides support, in place of actual DOM Nodes, for generated document objects when document validity is not an issue. PseudoNodes are useful when an application does not care about the validity of a document's structure, and wishes to quickly specify a literal string to represent the Node.

PseudoNodes can be added to TXDocument, TXElement, or DTD objects in order to expediently print text.

For example, instead of specifying an Element hierarchy as:

     TXElement root = factory.createElement("PERSON");
     TXElement item = factory.createElement("NAME");      //  Make <NAME>John Doe</NAME>
     item.addElement(factory.createText("John Doe"));
     root.addElement(item);
     item = factory.createElement("AGE");                 // Make <AGE>35</AGE>
     item.addElement(factory.createText("35"));
     root.addElement(item);
     item = factory.createElement("EMAIL");               // Make <EMAIL>John.Doe@foo.com</EMAIL>
     item.addElement(factory.createText("John.Doe@foo.com"));
     root.addElement(item);                               // Now root has NAME, AGE, and EMAIL.
     doc.addElement(root);

...using PsuedoNode you can instead specify:

     doc.addElement(new PseudoNode("<PERSON><NAME>John Doe</NAME><AGE>35</AGE><EMAIL>John.Doe@foo.com</EMAIL></PERSON>"));

Note that because of the requirement for validation, the object tree produced by the XML4J parser doesn't include PseudoNodes.

Version:
  1.1
See Also:
  Child

Fields inherited from class com.ibm.xml.parser.Child
ATTDEF, ATTLIST, DOCUMENTTYPE, ELEMENTDEFINITION, ENTITY, GENERALREFERENCE, NOTATION, PSEUDONODE

Constructor Summary
PseudoNode(java.lang.String data) Constructor.

Method Summary
java.lang.Object | clone() Clone this Pseudo Node using the appropriate factory.
java.lang.String | getData() Returns the actual content of this Pseudo Node.
int | getNodeType() Returns that this object is a Pseudo Node.
java.lang.String | getText() Returns all text associated with this Node without considering entities.
void | setData(java.lang.String data) Sets the actual content of this Pseudo Node.

Methods inherited from class com.ibm.xml.parser.Child
clearDigest, clone, getChildNodes, getDigest, getFactory, getFirstChild, getNextSibling, getParentNode, getPreviousSibling, getText, hasChildNodes, insertBefore, makeXPointer, print, print, removeChild, replaceChild, searchAncestors, searchAncestors, setFactory, toString, toString

Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait

Constructor Detail

### PseudoNode

    public PseudoNode(java.lang.String data)

  Constructor.
  Parameters:
    `data` - The actual content of the Pseudo Node.

Method Detail

### clone

    public java.lang.Object clone()

  Clone this Pseudo Node using the appropriate factory.

  This method is defined by Child.

  Returns:
    Cloned Pseudo Node.
  Overrides:
    clone in class Child
  See Also:
    clone

### getNodeType

    public int getNodeType()

  Returns that this object is a Pseudo Node.

  This method is defined by DOM.

  Returns:
    Pseudo Node indicator.

### getData

    public java.lang.String getData()

  Returns the actual content of this Pseudo Node.
  Returns:
    The actual content of this Pseudo Node, or "" if no content.
  See Also:
    setData

### setData

    public void setData(java.lang.String data)

  Sets the actual content of this Pseudo Node.
  Parameters:
    `data` - The actual content of this Pseudo Node.
  See Also:
    getData

### getText

    public java.lang.String getText()

  Returns all text associated with this Node without considering entities.

  This method is defined by Child.

  Returns:
    Text associated with this object, or "" if no Text.
  Overrides:
    getText in class Child
  See Also:
    toString, getData

Contents | Package | Class | Tree | Deprecated | Index | Help |
PREV | NEXT | SHOW LISTS | HIDE LISTS |